# Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof} GET https://graph.facebook.com/v25.0/{fb_page_id} Reference: https://docs.deao.dev/cloudflare/social-media-posting/instagram/get-ig-connected-account-id-https-graph-facebook-com-v-25-0-fb-page-id-fields-instagram-business-account-access-token-fb-page-access-token-appsecret-proof-fb-appsecret-proof ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /v25.0/{fb_page_id}: get: operationId: >- get-ig-connected-account-id-https-graph-facebook-com-v-25-0-fb-page-id-fields-instagram-business-account-access-token-fb-page-access-token-appsecret-proof-fb-appsecret-proof summary: >- Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof} tags: - subpackage_socialMediaPosting.subpackage_socialMediaPosting/instagram parameters: - name: fb_page_id in: path description: FB page of the access_token query param required: true schema: type: string - name: fields in: query description: default required: false schema: type: string - name: appsecret_proof in: query description: >- echo -n "FB_PAGE_ACCESS_TOKEN" | openssl dgst -sha256 -hmac "9321fa6df4b4112d66b24fdac92f1eba" | sed 's/^.* //' required: false schema: type: string - name: access_token in: query description: '{fb_page_access_token}' required: false schema: type: string responses: '200': description: OK content: application/json: schema: $ref: >- #/components/schemas/Social Media Posting_Instagram_Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_Response_200 servers: - url: https://graph.facebook.com - url: https://www.youtube.com - url: https://youtube-video-summarizer-gpt-ai.p.rapidapi.com - url: https://api.cloudflare.com - url: https://dev-musiccast.odoo.com - url: https://api.search.brave.com - url: https://og-image-generator-dev.deao.workers.dev - url: https://musiccast.odoo.com - url: https://m.musicca.st - url: https://api.stripe.com - url: https://api.kie.ai - url: https://api.pexels.com - url: https://api.shotstack.io - url: https://oauth2.googleapis.com - url: https://www.googleapis.com - url: https://api.linkedin.com - url: https://www.linkedin.com - url: https://rupload.facebook.com - url: https://api.x.com - url: https://open.tiktokapis.com - url: https://open-upload-sg.tiktokapis.com - url: https://social-media-posting-dev.deao.workers.dev components: schemas: V250FbPageIdGetResponsesContentApplicationJsonSchemaInstagramBusinessAccount: type: object properties: id: type: string required: - id title: >- V250FbPageIdGetResponsesContentApplicationJsonSchemaInstagramBusinessAccount 'Social Media Posting_Instagram_Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_Response_200': type: object properties: id: type: string instagram_business_account: $ref: >- #/components/schemas/V250FbPageIdGetResponsesContentApplicationJsonSchemaInstagramBusinessAccount required: - id - instagram_business_account title: >- Social Media Posting_Instagram_Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_Response_200 ``` ## SDK Code Examples ```python Social Media Posting_Instagram_Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_example import requests url = "https://graph.facebook.com/v25.0/996526996873368" querystring = {"fields":"instagram_business_account","appsecret_proof":"d98797bec9190fa331bfc3290da4646ee09b27b1194cb188f221e2b545d14c1d","access_token":"EAAFQsXjJfv0BQZBZBRvaLnvricQzunvxvTWzEQJt8GZBetLsTpXAaFBmcVk0NESHWZAA3MUy8qmy5YOtOGF3FYOrmOHb7DZBOM5sD6WMBO5qN9O94jo62SVIjT1C7mxD0VlGZAVGKyt5O2KEZCgX8P5f2SGKylaqfctrz3pwKux8srU2q44o4eMZC3RbSG37J9qBhEJmIvyryuL0Adc4iZBZCVaSge"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript Social Media Posting_Instagram_Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_example const url = 'https://graph.facebook.com/v25.0/996526996873368?fields=instagram_business_account&appsecret_proof=d98797bec9190fa331bfc3290da4646ee09b27b1194cb188f221e2b545d14c1d&access_token=EAAFQsXjJfv0BQZBZBRvaLnvricQzunvxvTWzEQJt8GZBetLsTpXAaFBmcVk0NESHWZAA3MUy8qmy5YOtOGF3FYOrmOHb7DZBOM5sD6WMBO5qN9O94jo62SVIjT1C7mxD0VlGZAVGKyt5O2KEZCgX8P5f2SGKylaqfctrz3pwKux8srU2q44o4eMZC3RbSG37J9qBhEJmIvyryuL0Adc4iZBZCVaSge'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Social Media Posting_Instagram_Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://graph.facebook.com/v25.0/996526996873368?fields=instagram_business_account&appsecret_proof=d98797bec9190fa331bfc3290da4646ee09b27b1194cb188f221e2b545d14c1d&access_token=EAAFQsXjJfv0BQZBZBRvaLnvricQzunvxvTWzEQJt8GZBetLsTpXAaFBmcVk0NESHWZAA3MUy8qmy5YOtOGF3FYOrmOHb7DZBOM5sD6WMBO5qN9O94jo62SVIjT1C7mxD0VlGZAVGKyt5O2KEZCgX8P5f2SGKylaqfctrz3pwKux8srU2q44o4eMZC3RbSG37J9qBhEJmIvyryuL0Adc4iZBZCVaSge" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Social Media Posting_Instagram_Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_example require 'uri' require 'net/http' url = URI("https://graph.facebook.com/v25.0/996526996873368?fields=instagram_business_account&appsecret_proof=d98797bec9190fa331bfc3290da4646ee09b27b1194cb188f221e2b545d14c1d&access_token=EAAFQsXjJfv0BQZBZBRvaLnvricQzunvxvTWzEQJt8GZBetLsTpXAaFBmcVk0NESHWZAA3MUy8qmy5YOtOGF3FYOrmOHb7DZBOM5sD6WMBO5qN9O94jo62SVIjT1C7mxD0VlGZAVGKyt5O2KEZCgX8P5f2SGKylaqfctrz3pwKux8srU2q44o4eMZC3RbSG37J9qBhEJmIvyryuL0Adc4iZBZCVaSge") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java Social Media Posting_Instagram_Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://graph.facebook.com/v25.0/996526996873368?fields=instagram_business_account&appsecret_proof=d98797bec9190fa331bfc3290da4646ee09b27b1194cb188f221e2b545d14c1d&access_token=EAAFQsXjJfv0BQZBZBRvaLnvricQzunvxvTWzEQJt8GZBetLsTpXAaFBmcVk0NESHWZAA3MUy8qmy5YOtOGF3FYOrmOHb7DZBOM5sD6WMBO5qN9O94jo62SVIjT1C7mxD0VlGZAVGKyt5O2KEZCgX8P5f2SGKylaqfctrz3pwKux8srU2q44o4eMZC3RbSG37J9qBhEJmIvyryuL0Adc4iZBZCVaSge") .asString(); ``` ```php Social Media Posting_Instagram_Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_example request('GET', 'https://graph.facebook.com/v25.0/996526996873368?fields=instagram_business_account&appsecret_proof=d98797bec9190fa331bfc3290da4646ee09b27b1194cb188f221e2b545d14c1d&access_token=EAAFQsXjJfv0BQZBZBRvaLnvricQzunvxvTWzEQJt8GZBetLsTpXAaFBmcVk0NESHWZAA3MUy8qmy5YOtOGF3FYOrmOHb7DZBOM5sD6WMBO5qN9O94jo62SVIjT1C7mxD0VlGZAVGKyt5O2KEZCgX8P5f2SGKylaqfctrz3pwKux8srU2q44o4eMZC3RbSG37J9qBhEJmIvyryuL0Adc4iZBZCVaSge'); echo $response->getBody(); ``` ```csharp Social Media Posting_Instagram_Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_example using RestSharp; var client = new RestClient("https://graph.facebook.com/v25.0/996526996873368?fields=instagram_business_account&appsecret_proof=d98797bec9190fa331bfc3290da4646ee09b27b1194cb188f221e2b545d14c1d&access_token=EAAFQsXjJfv0BQZBZBRvaLnvricQzunvxvTWzEQJt8GZBetLsTpXAaFBmcVk0NESHWZAA3MUy8qmy5YOtOGF3FYOrmOHb7DZBOM5sD6WMBO5qN9O94jo62SVIjT1C7mxD0VlGZAVGKyt5O2KEZCgX8P5f2SGKylaqfctrz3pwKux8srU2q44o4eMZC3RbSG37J9qBhEJmIvyryuL0Adc4iZBZCVaSge"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift Social Media Posting_Instagram_Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_example import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/v25.0/996526996873368?fields=instagram_business_account&appsecret_proof=d98797bec9190fa331bfc3290da4646ee09b27b1194cb188f221e2b545d14c1d&access_token=EAAFQsXjJfv0BQZBZBRvaLnvricQzunvxvTWzEQJt8GZBetLsTpXAaFBmcVk0NESHWZAA3MUy8qmy5YOtOGF3FYOrmOHb7DZBOM5sD6WMBO5qN9O94jo62SVIjT1C7mxD0VlGZAVGKyt5O2KEZCgX8P5f2SGKylaqfctrz3pwKux8srU2q44o4eMZC3RbSG37J9qBhEJmIvyryuL0Adc4iZBZCVaSge")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```